| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events | Private Member Functions | Private Attributes | List of all members
IG.Forms.InputOutputDataDefinitionControl Class Reference
Inheritance diagram for IG.Forms.InputOutputDataDefinitionControl:
[legend]
Collaboration diagram for IG.Forms.InputOutputDataDefinitionControl:
[legend]

## Public Member Functions
| InputOutputDataDefinitionControl ()
virtual string | CreateSummary ()

## Protected Member Functions
void | OnDefinitionObjectChanged (InputOutputDataDefiniton oldDataDefinition, InputOutputDataDefiniton newDataDefinition)
| Raises the DefinitionObjectChanged event. This method should be called preferrably, rather than the event itself. More...
void | OnInputLengthChanged (int oldLength, int newLength)
| Raises the InputLengthChanged event. This method should be called preferrably, rather than the event itself. More...
void | OnOutputLengthChanged (int oldLength, int newLength)
| Raises the <see cref=OutputLengthChanged"/> event. This method should be called preferrably, rather than the event itself. More...
void | OnInputElementDataChanged (EventArgs e)
| Raises the InputElementDataChanged event. This method should be called preferrably, rather than the event itself. More...
void | OnOutputElementDataChanged (EventArgs e)
| Raises the OutputElementDataChanged event. This method should be called preferrably, rather than the event itself. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
InputOutputDataDefiniton | _dataDefinition
int | _inputLength
int | _outputLength
string | _name
string | _description

## Properties
IG.Lib.IReporter | Reporter`[get]`
| Reporter used for internal reporting. More...
InpuOrOutputtDataDefinitionControl | InputDataControl`[get]`
| Gets control used for editing definitions of input data elements. More...
InpuOrOutputtDataDefinitionControl | OutputDataControl`[get]`
| Gets control used for editing definitions of output data elements. More...
virtual InputOutputDataDefiniton | DataDefinition`[get, set]`
| Data about input and output quantities of the manipulated functions or response. More...
virtual int | InputLength`[get, protected set]`
| Number of input parameters or data elements. More...
virtual int | OutputLength`[get, protected set]`
| Number of input parameters or data elements. More...
virtual string | DataName`[get, protected set]`
| Name of the data defined by DataDefinition More...
virtual string | DataDescription`[get, protected set]`
| Description of the data defined by DataDefinition More...
string | Title`[get, set]`
| Title that is shown on the top of control, in the lblMainTitle label. More...
string | TitleWithChangedSign`[get]`
| Actual title that is shown on the top of control, in the lblMainTitle label, includes eventual marks for unsaved changes. More...
bool | HasUnsavedChanges`[get, set]`
| Whether the current function definition has unsaved changes. More...
bool | IsDimentionChangeAllowed`[get, set]`
| Indicates whetherr user can change dimensions (number of input/output data elements). More...
bool | UseLegalVariableNames`[get, set]`
| Specifies whether legal variable names (according to rules in programming languages such as C++, C# or Java) should be enforced for naming input and utput elements. More...

## Events
EventHandler < ValueChangeEventArgs < InputOutputDataDefiniton > > | DefinitionObjectChanged
| Occurs when data definition object is changed (i.e., when object reference changes), meaning that whole data definition object is replaced. More...
EventHandler < IndexChangeEventArgs > | InputLengthChanged
| Occurs when number of input parameters (InputLength) is changed. More...
EventHandler < IndexChangeEventArgs > | OutputLengthChanged
| Occurs when number of output values (OutputLength) is changed. More...
EventHandler | InputElementDataChanged
| Occurs when some input element property is changed. More...
EventHandler | OutputElementDataChanged
| Occurs when some output element property is changed. More...

## Private Member Functions
void | menuSummary_Click (object sender, EventArgs e)
void | numNumInputParameters_Validated (object sender, EventArgs e)
void | numNumOutputValues_Validated (object sender, EventArgs e)
void | txtName_Validated (object sender, EventArgs e)
void | txtDescription_Validated (object sender, EventArgs e)
void | btnLoad_Click (object sender, EventArgs e)
void | btnSave_Click (object sender, EventArgs e)
void | btnGenerateTestData_Click (object sender, EventArgs e)
void | btnLoadFromFunction_Click (object sender, EventArgs e)
void | inputDataDefinitionControl1_NumElementsChanged (object sender, IndexChangeEventArgs e)
void | outputDataDefinitionControl2_NumElementsChanged (object sender, IndexChangeEventArgs e)
void | inputDataDefinitionControl1_DataChanged (object sender, EventArgs e)
void | outputDataDefinitionControl2_DataChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
string | _title = "Input and Output Data Definition"
bool | _hasUnsavedChanges = false
bool | _isDimentionChangeAllowed = true
bool | _useLegalVariableNames = true
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Label | lblMainTitle
IG.Forms.InpuOrOutputtDataDefinitionControl | inputDataDefinitionControl1
IG.Forms.InpuOrOutputtDataDefinitionControl | outputDataDefinitionControl2
System.Windows.Forms.Panel | pnlControls
System.Windows.Forms.Button | btnSave
System.Windows.Forms.Button | btnLoadFromFunction
System.Windows.Forms.Button | btnLoad
System.Windows.Forms.ContextMenuStrip | contextMenuStrip1
System.Windows.Forms.ToolStripMenuItem | menuSummary
System.Windows.Forms.Label | lblNumOutputValues
System.Windows.Forms.Label | lblNminputParameters
System.Windows.Forms.NumericUpDown | numNumOutputValues
System.Windows.Forms.NumericUpDown | numNumInputParameters
System.Windows.Forms.Button | btnGenerateTestData
System.Windows.Forms.SplitContainer | splitContainer1
System.Windows.Forms.TextBox | txtDescription
System.Windows.Forms.TextBox | txtName
System.Windows.Forms.Label | lblDescription
System.Windows.Forms.Label | lblName
FileSelector | fileSelector1
IndicatorLight | indicatorLight1

## Constructor & Destructor Documentation

IG.Forms.InputOutputDataDefinitionControl.InputOutputDataDefinitionControl | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.InputOutputDataDefinitionControl.OnDefinitionObjectChanged | ( | InputOutputDataDefiniton | oldDataDefinition,
|  | InputOutputDataDefiniton | newDataDefinition
| ) |  |
| inline protected

Raises the DefinitionObjectChanged event. This method should be called preferrably, rather than the event itself.

Parameters

  oldDataDefinition | Old data definition object.
  newDataDefinition | New data definition object.

void IG.Forms.InputOutputDataDefinitionControl.OnInputLengthChanged | ( | int | oldLength,
|  | int | newLength
| ) |  |
| inline protected

Raises the InputLengthChanged event. This method should be called preferrably, rather than the event itself.

Parameters

  oldLength | Old length.
  newLength | New length.

void IG.Forms.InputOutputDataDefinitionControl.OnOutputLengthChanged | ( | int | oldLength,
|  | int | newLength
| ) |  |
| inline protected

Raises the <see cref=OutputLengthChanged"/> event. This method should be called preferrably, rather than the event itself.

Parameters

  oldLength | Old length.
  newLength | New length.

void IG.Forms.InputOutputDataDefinitionControl.OnInputElementDataChanged | ( | EventArgs | e | ) |
| inline protected

Raises the InputElementDataChanged event. This method should be called preferrably, rather than the event itself.

void IG.Forms.InputOutputDataDefinitionControl.OnOutputElementDataChanged | ( | EventArgs | e | ) |
| inline protected

Raises the OutputElementDataChanged event. This method should be called preferrably, rather than the event itself.

virtual string IG.Forms.InputOutputDataDefinitionControl.CreateSummary | ( |  | ) |
| inline virtual

void IG.Forms.InputOutputDataDefinitionControl.menuSummary_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.FadingMessage.Launch().

void IG.Forms.InputOutputDataDefinitionControl.numNumInputParameters_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputOutputDataDefinitionControl.numNumOutputValues_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputOutputDataDefinitionControl.txtName_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputOutputDataDefinitionControl.txtDescription_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputOutputDataDefinitionControl.btnLoad_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Num.InputOutputDataDefiniton.LoadJson().

void IG.Forms.InputOutputDataDefinitionControl.btnSave_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Num.InputOutputDataDefiniton.SaveJson().

void IG.Forms.InputOutputDataDefinitionControl.btnGenerateTestData_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ControlManipulator.AddControl(), IG.Forms.ControlManipulator.Blink(), and IG.Num.InputOutputDataDefiniton.CreateDefault().

void IG.Forms.InputOutputDataDefinitionControl.btnLoadFromFunction_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.LoadJson(), and IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.LoadJson().

void IG.Forms.InputOutputDataDefinitionControl.inputDataDefinitionControl1_NumElementsChanged | ( | object | sender,
|  | IndexChangeEventArgs | e
| ) |  |
| inline private

References IG.Forms.ValueChangeEventArgs< ValueType >.New, and IG.Forms.ValueChangeEventArgs< ValueType >.NewDefined.

void IG.Forms.InputOutputDataDefinitionControl.outputDataDefinitionControl2_NumElementsChanged | ( | object | sender,
|  | IndexChangeEventArgs | e
| ) |  |
| inline private

References IG.Forms.ValueChangeEventArgs< ValueType >.New, and IG.Forms.ValueChangeEventArgs< ValueType >.NewDefined.

void IG.Forms.InputOutputDataDefinitionControl.inputDataDefinitionControl1_DataChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputOutputDataDefinitionControl.outputDataDefinitionControl2_DataChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.InputOutputDataDefinitionControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.InputOutputDataDefinitionControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

InputOutputDataDefiniton IG.Forms.InputOutputDataDefinitionControl._dataDefinition
| protected

int IG.Forms.InputOutputDataDefinitionControl._inputLength
| protected

int IG.Forms.InputOutputDataDefinitionControl._outputLength
| protected

string IG.Forms.InputOutputDataDefinitionControl._name
| protected

string IG.Forms.InputOutputDataDefinitionControl._description
| protected

string IG.Forms.InputOutputDataDefinitionControl._title = "Input and Output Data Definition"
| private

bool IG.Forms.InputOutputDataDefinitionControl._hasUnsavedChanges = false
| private

bool IG.Forms.InputOutputDataDefinitionControl._isDimentionChangeAllowed = true
| private

bool IG.Forms.InputOutputDataDefinitionControl._useLegalVariableNames = true
| private

System.ComponentModel.IContainer IG.Forms.InputOutputDataDefinitionControl.components = null
| private

Required designer variable.

System.Windows.Forms.Label IG.Forms.InputOutputDataDefinitionControl.lblMainTitle
| private

IG.Forms.InpuOrOutputtDataDefinitionControl IG.Forms.InputOutputDataDefinitionControl.inputDataDefinitionControl1
| private

IG.Forms.InpuOrOutputtDataDefinitionControl IG.Forms.InputOutputDataDefinitionControl.outputDataDefinitionControl2
| private

System.Windows.Forms.Panel IG.Forms.InputOutputDataDefinitionControl.pnlControls
| private

System.Windows.Forms.Button IG.Forms.InputOutputDataDefinitionControl.btnSave
| private

System.Windows.Forms.Button IG.Forms.InputOutputDataDefinitionControl.btnLoadFromFunction
| private

System.Windows.Forms.Button IG.Forms.InputOutputDataDefinitionControl.btnLoad
| private

System.Windows.Forms.ContextMenuStrip IG.Forms.InputOutputDataDefinitionControl.contextMenuStrip1
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.InputOutputDataDefinitionControl.menuSummary
| private

System.Windows.Forms.Label IG.Forms.InputOutputDataDefinitionControl.lblNumOutputValues
| private

System.Windows.Forms.Label IG.Forms.InputOutputDataDefinitionControl.lblNminputParameters
| private

System.Windows.Forms.NumericUpDown IG.Forms.InputOutputDataDefinitionControl.numNumOutputValues
| private

System.Windows.Forms.NumericUpDown IG.Forms.InputOutputDataDefinitionControl.numNumInputParameters
| private

System.Windows.Forms.Button IG.Forms.InputOutputDataDefinitionControl.btnGenerateTestData
| private

System.Windows.Forms.SplitContainer IG.Forms.InputOutputDataDefinitionControl.splitContainer1
| private

System.Windows.Forms.TextBox IG.Forms.InputOutputDataDefinitionControl.txtDescription
| private

System.Windows.Forms.TextBox IG.Forms.InputOutputDataDefinitionControl.txtName
| private

System.Windows.Forms.Label IG.Forms.InputOutputDataDefinitionControl.lblDescription
| private

System.Windows.Forms.Label IG.Forms.InputOutputDataDefinitionControl.lblName
| private

FileSelector IG.Forms.InputOutputDataDefinitionControl.fileSelector1
| private

IndicatorLight IG.Forms.InputOutputDataDefinitionControl.indicatorLight1
| private

## Property Documentation

IG.Lib.IReporter IG.Forms.InputOutputDataDefinitionControl.Reporter
| get protected

Reporter used for internal reporting.

InpuOrOutputtDataDefinitionControl IG.Forms.InputOutputDataDefinitionControl.InputDataControl
| get

Gets control used for editing definitions of input data elements.

InpuOrOutputtDataDefinitionControl IG.Forms.InputOutputDataDefinitionControl.OutputDataControl
| get

Gets control used for editing definitions of output data elements.

virtual InputOutputDataDefiniton IG.Forms.InputOutputDataDefinitionControl.DataDefinition
| get set

Data about input and output quantities of the manipulated functions or response.

virtual int IG.Forms.InputOutputDataDefinitionControl.InputLength
| get protected set

Number of input parameters or data elements.

virtual int IG.Forms.InputOutputDataDefinitionControl.OutputLength
| get protected set

Number of input parameters or data elements.

virtual string IG.Forms.InputOutputDataDefinitionControl.DataName
| get protected set

Name of the data defined by DataDefinition

virtual string IG.Forms.InputOutputDataDefinitionControl.DataDescription
| get protected set

Description of the data defined by DataDefinition

string IG.Forms.InputOutputDataDefinitionControl.Title
| get set

Title that is shown on the top of control, in the lblMainTitle label.

string IG.Forms.InputOutputDataDefinitionControl.TitleWithChangedSign
| get

Actual title that is shown on the top of control, in the lblMainTitle label, includes eventual marks for unsaved changes.

bool IG.Forms.InputOutputDataDefinitionControl.HasUnsavedChanges
| get set

Whether the current function definition has unsaved changes.

bool IG.Forms.InputOutputDataDefinitionControl.IsDimentionChangeAllowed
| get set

Indicates whetherr user can change dimensions (number of input/output data elements).

bool IG.Forms.InputOutputDataDefinitionControl.UseLegalVariableNames
| get set

Specifies whether legal variable names (according to rules in programming languages such as C++, C# or Java) should be enforced for naming input and utput elements.

## Event Documentation

EventHandler<ValueChangeEventArgs<InputOutputDataDefiniton> > IG.Forms.InputOutputDataDefinitionControl.DefinitionObjectChanged

Occurs when data definition object is changed (i.e., when object reference changes), meaning that whole data definition object is replaced.

EventHandler<IndexChangeEventArgs> IG.Forms.InputOutputDataDefinitionControl.InputLengthChanged

Occurs when number of input parameters (InputLength) is changed.

EventHandler<IndexChangeEventArgs> IG.Forms.InputOutputDataDefinitionControl.OutputLengthChanged

Occurs when number of output values (OutputLength) is changed.

EventHandler IG.Forms.InputOutputDataDefinitionControl.InputElementDataChanged

Occurs when some input element property is changed.

EventHandler IG.Forms.InputOutputDataDefinitionControl.OutputElementDataChanged

Occurs when some output element property is changed.

The documentation for this class was generated from the following files:

- extensions/iglibext/Forms/Numeric/FromNeural/Basic/InputOutputDataDefinitionControl.cs
- extensions/iglibext/Forms/Numeric/FromNeural/Basic/InputOutputDataDefinitionControl.Designer.cs